<template>
    <div class='product-param'>        
        <button 
        v-for='value in getPayParams' 
        :key='value.id'         
        :class='value.id === getSelectedPayParam.id ? "product-value-selected" : "product-value"' 
        @click='selectValue(value.id)'
        >
            {{value.text}}
        </button>
    </div>
</template>
<script>
import _ from 'lodash';
import { mapGetters } from 'vuex';
export default {
    computed: {
        ...mapGetters([
            'getPayParams',
            'getSelectedPayParam',
        ])
    },
    methods: {        
        selectValue(id) {                                                          
            this.$store.commit('changePayParam', id);
        }
    }
}
</script>
<style scoped>
    .product-param {
        display: flex;     
        justify-content: left;
        align-items: center;    
        width: 64%;        
        min-width: 300px;
        background-color:#F5F5F5;
        border-radius: 10px;
    }
    .product-value {
        flex: 1;        
        color: #777;
        outline: none;
        border: 0;        
        border-radius: 10px;
        background-color: #F5F5F5;                
        padding: 5px;
        transition: all 0.1s ease;
    }
    .product-value-selected {
        flex: 1;
        outline: none;
        border: 0;
        border: 1px solid #777;
        border-radius: 10px;        
        background-color: white;
        color: #777;
        padding: 5px;
    }
    .product-value:hover {
        border: 1px solid #777;
        color: #777
    }
</style>



